Subject: [mobile-ip] NAACK option in the fast handoffs draft

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 07 Aug 2001 12:05:55 -0700

hi,

in section 4.4.3, Neighbor Advertisement Acknowledgement (NAACK) option,

       0                   1                   2                   3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |     Type      |    Length     |   Sub-Type    |     Status    |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

       Length
           8-bit unsigned integer.  Length of the option, in octets,
           excluding the Option Type and Option Length fields. This
           field MUST be set to 4.

The length field. shouldnt it be in terms of 8 octets becase it goes
as an option in the router advertisement. and the value 4 is wrong.
it MUST set to 1. am i missing something?

vijay